Subject: Re: What's cooking in git.git (Aug 2021, #02; Tue, 3)

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Aug 2021 11:06:56 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> * ab/test-columns (2021-08-02) 3 commits
>>  - test-lib.sh: use GIT_TEST_COLUMNS over COLUMNS
>>  - test-lib-functions.sh: add a test_with_columns function
>>  - test-lib-functions.sh: rename test_must_fail_acceptable()
>
> We're going to need this or another solution to the v2.33.0-rc0
> regression in c49a177beca (test-lib.sh: set COLUMNS=80 for --verbose
> repeatability, 2021-06-29) before the final v2.33.0.

Just a question.  Is that true?  Wouldn't a system that needs these
on top of c49a177beca already break the tests without c49a177beca?

IOW, is c49a177beca truly a "regression", or is it merely "a half
solution that solves for most but not all platforms"?